package com.yihu.jw.entity.base.words;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author HZY
 * @vsrsion 1.0
 * Created at 2020/7/6
 */
@Entity
@Table(name = "base_sensitive")
public class BaseSensitiveDO extends UuidIdentityEntityWithOperator {

    @Column(name = "sensitive_word")
    private String sensitiveWord;//敏感词

    @Column(name = "explanation")
    private String explanation;//说明

    @Column(name = "status")
    private String status;//状态 0：关闭  1：开启

    @Column(name = "operator_code")
    private String operatorCode;//操作者code

    @Column(name = "operator")
    private String operator;//操作者

    @Column(name = "add_time")
    private Date addTime;

    public String getSensitiveWord() {
        return sensitiveWord;
    }

    public void setSensitiveWord(String sensitiveWord) {
        this.sensitiveWord = sensitiveWord;
    }

    public String getExplanation() {
        return explanation;
    }

    public void setExplanation(String explanation) {
        this.explanation = explanation;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }


    public String getOperatorCode() {
        return operatorCode;
    }

    public void setOperatorCode(String operatorCode) {
        this.operatorCode = operatorCode;
    }
}
